# Intel X520 card

```
pim@r86s:~$ vppctl show pci
Address      Sock VID:PID     Link Speed    Driver          Product Name                    Vital Product Data
0000:01:00.0   0  8086:125c   unknown       igc                                             
0000:02:00.0   0  8086:125c   unknown       uio_pci_generic                                 
0000:03:00.0   0  8086:125c   unknown       uio_pci_generic                                 
0000:05:00.0   0  8086:10fb   unknown       vfio-pci                                        
0000:05:00.1   0  8086:10fb   unknown       vfio-pci                                        

pim@r86s:~$ cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-6.1.0-17-amd64 root=UUID=403c0fbb-1e4e-4461-aac8-a4085d0269f4 ro isolcpus=1-3 iommu=on intel_iommu=on

pim@r86s:~$ lspci | grep Ether
01:00.0 Ethernet controller: Intel Corporation Ethernet Controller I226-V (rev 04)
02:00.0 Ethernet controller: Intel Corporation Ethernet Controller I226-V (rev 04)
03:00.0 Ethernet controller: Intel Corporation Ethernet Controller I226-V (rev 04)
05:00.0 Ethernet controller: Intel Corporation 82599ES 10-Gigabit SFI/SFP+ Network Connection (rev 01)
05:00.1 Ethernet controller: Intel Corporation 82599ES 10-Gigabit SFI/SFP+ Network Connection (rev 01)
```

Unidirectional 64b single flow loadtest --

```
Thread 3 vpp_wk_2 (lcore 3)
Time 28.9, 10 sec internal node vector rate 104.35 loops/sec 76982.50
  vector rates in 1.0022e7, out 9.1733e6, drop 0.0000e0, punt 0.0000e0
             Name                 State         Calls          Vectors        Suspends         Clocks       Vectors/Call  
TenGigabitEthernet5/0/1-output   active            3140223       289616896               0          8.34e0           92.23
TenGigabitEthernet5/0/1-tx       active            3140223       265081034               0          8.39e1           84.41
dpdk-input                       polling           3149763       289616896               0          4.49e1           91.95
ethernet-input                   active            3140223       289616896               0          4.23e1           92.23
l2-input                         active            3140223       289616896               0          1.59e1           92.23
l2-output                        active            3140223       289616896               0          9.89e0           92.23
unix-epoll-input                 polling              3073               0               0          1.83e3            0.00
```

# Mellanox Cx5 Card

```
pim@r86s:~$ sudo vppctl show pci
Address      Sock VID:PID     Link Speed    Driver          Product Name                    Vital Product Data
0000:01:00.0   0  8086:125c   unknown       igc                                             
0000:02:00.0   0  8086:125c   unknown       uio_pci_generic                                 
0000:03:00.0   0  8086:125c   unknown       uio_pci_generic                                 
0000:05:00.0   0  15b3:1017   unknown       mlx5_core       ConnectX-5 EN network interface  PN: MCX542B-ACAN_C07
                                                                                            EC: A2
                                                                                            V2: 0x 4d 43 58 35 34 32 42 2d ...
                                                                                            SN: MT2027K15063          
                                                                                            V3: 0x 35 32 63 62 66 63 34 30 ...
                                                                                            VA: 0x 4d 4c 58 3a 4d 4f 44 4c ...
                                                                                            V0: 0x 50 43 49 65 47 65 6e 33 ...
                                                                                            RV: 0x 59
0000:05:00.1   0  15b3:1017   unknown       mlx5_core       ConnectX-5 EN network interface  PN: MCX542B-ACAN_C07
                                                                                            EC: A2
                                                                                            V2: 0x 4d 43 58 35 34 32 42 2d ...
                                                                                            SN: MT2027K15063          
                                                                                            V3: 0x 35 32 63 62 66 63 34 30 ...
                                                                                            VA: 0x 4d 4c 58 3a 4d 4f 44 4c ...
                                                                                            V0: 0x 50 43 49 65 47 65 6e 33 ...
                                                                                            RV: 0x 59

pim@r86s:~$ lspci | grep Ether
01:00.0 Ethernet controller: Intel Corporation Ethernet Controller I226-V (rev 04)
02:00.0 Ethernet controller: Intel Corporation Ethernet Controller I226-V (rev 04)
03:00.0 Ethernet controller: Intel Corporation Ethernet Controller I226-V (rev 04)
05:00.0 Ethernet controller: Mellanox Technologies MT27800 Family [ConnectX-5]
05:00.1 Ethernet controller: Mellanox Technologies MT27800 Family [ConnectX-5]

pim@r86s:~$ cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-6.1.0-18-amd64 root=UUID=b66a4151-ce7f-4910-aee1-e5f6049cdb5a ro iommu=off isolcpus=1-3
```

Look at this beautiful VPP throughput, when doing a 64b bidirectional single-flow loadtest

```
---------------
Thread 1 vpp_wk_0 (lcore 1)
Time 63.1, 10 sec internal node vector rate 165.06 loops/sec 43803.54
  vector rates in 8.7042e6, out 8.7042e6, drop 0.0000e0, punt 0.0000e0
             Name                 State         Calls          Vectors        Suspends         Clocks       Vectors/Call  
TwentyFiveGigabitEthernet5/0/1   active            3432788       549324448               0          8.17e0          160.02
TwentyFiveGigabitEthernet5/0/1   active            3432788       549324448               0          6.86e1          160.02
dpdk-input                       polling           3432788       549324448               0          7.69e1          160.02
ethernet-input                   active            3432788       549324448               0          4.67e1          160.02
l2-input                         active            3432788       549324448               0          1.75e1          160.02
l2-output                        active            3432788       549324448               0          1.00e1          160.02
unix-epoll-input                 polling              3349               0               0          2.11e3            0.00
---------------
Thread 2 vpp_wk_1 (lcore 2)
Time 63.1, 10 sec internal node vector rate 0.00 loops/sec 3557727.83
  vector rates in 0.0000e0, out 0.0000e0, drop 0.0000e0, punt 0.0000e0
             Name                 State         Calls          Vectors        Suspends         Clocks       Vectors/Call  
dpdk-input                       polling         246577533               0               0          3.85e2            0.00
unix-epoll-input                 polling            240563               0               0          9.28e2            0.00
---------------
Thread 3 vpp_wk_2 (lcore 3)
Time 63.1, 10 sec internal node vector rate 164.94 loops/sec 45757.79
  vector rates in 8.7007e6, out 8.7007e6, drop 0.0000e0, punt 0.0000e0
             Name                 State         Calls          Vectors        Suspends         Clocks       Vectors/Call  
TwentyFiveGigabitEthernet5/0/0   active            3441889       549107094               0          8.18e0          159.54
TwentyFiveGigabitEthernet5/0/0   active            3441889       549107094               0          6.86e1          159.54
dpdk-input                       polling           3441889       549107094               0          7.61e1          159.54
ethernet-input                   active            3441889       549107094               0          4.69e1          159.54
l2-input                         active            3441889       549107094               0          1.79e1          159.54
l2-output                        active            3441889       549107094               0          1.03e1          159.54
unix-epoll-input                 polling              3358               0               0          2.14e3            0.00
```
